=== debian/changelog ===
bart-view (0.1.00-6) unstable; urgency=medium

  [ Martin Uecker ]
  * Patch to work around compiler bug (Closes: #1001916)

  [ Nilesh Patra ]
  * d/p/0005-hardening.patch: Propagate hardening flags to fix blhc

 -- Martin Uecker <martin.uecker@med.uni-goettingen.de>  Wed, 29 Dec 2021 20:20:21 +0530

bart-view (0.1.00-5) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Set upstream metadata fields: Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Mon, 18 Oct 2021 14:11:17 +0200

bart-view (0.1.00-4) unstable; urgency=medium

  * Team Upload.
  * Enable cross building by not hardcoding pkg-config
    - Thank you, Helmut Grohne! (Closes: #982362)
  * Improve d/u/metadata

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 18 Feb 2021 12:23:29 +0530

bart-view (0.1.00-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 03 Dec 2020 22:50:31 +0100

bart-view (0.1.00-2) unstable; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Andreas Tille ]
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Mon, 07 Jan 2019 16:15:48 +0100

bart-view (0.1.00-1) unstable; urgency=medium

  * Initial release. (Closes: #851431)

 -- Martin Uecker <martin.uecker@med.uni-goettingen.de>  Sat, 17 Feb 2018 17:09:09 +0100
