=== debian/control ===
Source: bart-view
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Martin Uecker <martin.uecker@med.uni-goettingen.de>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libbart-dev,
               libgtk-3-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/bart-view
Vcs-Git: https://salsa.debian.org/med-team/bart-view.git
Homepage: https://github.com/mrirecon/view/
Rules-Requires-Root: no

Package: bart-view
Architecture: any
Depends: bart,
         ${shlibs:Depends},
         ${misc:Depends}
Description: viewer for multi-dimensional complex-valued data
 The Berkeley Advanced Reconstruction Toolbox (BART) is a free and
 open-source image-reconstruction framework for Computational Magnetic
 Resonance Imaging.
 .
 This package provides an image viewer as an optional component of
 the BART framework. The viewer is designed for multi-dimensional
 complex-valued data.
