=== debian/watch ===
version=4

https://github.com/mrirecon/view/releases .*/v@ANY_VERSION@@ARCHIVE_EXT@
