=== debian/changelog ===
bart-view (0.2.00-1) unstable; urgency=medium

  * New upstream version (Closes: #1022324)
  * Update watch file.

 -- Martin Uecker <uecker@tugraz.at>  Thu, 27 Oct 2022 02:20:23 +0530
