=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: bart-view
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Martin Uecker <martin.uecker@med.uni-goettingen.de>
+Uploaders: Martin Uecker <uecker@tugraz.at>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libbart-dev,
+               libbart-dev (>= 0.8.00),
                libgtk-3-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1.0
 Vcs-Browser: https://salsa.debian.org/med-team/bart-view
 Vcs-Git: https://salsa.debian.org/med-team/bart-view.git
 Homepage: https://github.com/mrirecon/view/
