=== debian/changelog ===
bart-view (0.3.00-1) unstable; urgency=medium

  * New upstream version (Closes: #1058276, 1043926)
  * Remove old patches.

 -- Martin Uecker <uecker@tugraz.at>  Wed, 10 Jan 2024 16:32:35 +0100
