=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                libbart-dev (>= 0.8.00),
                libgtk-3-dev
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/bart-view
 Vcs-Git: https://salsa.debian.org/med-team/bart-view.git
 Homepage: https://github.com/mrirecon/view/
