=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/view-$1\.tar\.gz/ \
  https://github.com/mrirecon/view/tags .*/v?(\d\S*)\.tar\.gz
